﻿using System.Configuration;

namespace CalendarNotepad.Models
{
    /// <summary>
    /// 应用配置
    /// </summary>
    public static class CNOptions
    {
        /// <summary>
        /// 获取配置的值
        /// </summary>
        /// <param name="key">键</param>
        /// <returns>值</returns>
        public static string? GetValue(string key) => ConfigurationManager.AppSettings[key];

        /// <summary>
        /// 保存的文件名
        /// </summary>
        /// <returns></returns>
        public static string GetSaveFileName => GetValue("saveFileName") ?? "";
    }
}
